[app]
name = "PageTop Application"
description = "Developed with the awesome PageTop framework."
# Tema predeterminado.
theme = "Default"
# Idioma (localización) predeterminado.
language = "en-US"
# Dirección predeterminada para el texto: "ltr", "rtl" o "auto".
direction = "ltr"
# Rótulo al inicio: "Off", "Slant", "Small", "Speed" o "Starwars".
startup_banner = "Slant"

[database]
# Conecta con una base de datos (opcional).
# Tipo de base de datos (mysql, postgres ó sqlite).
db_type = ""
# Nombre (para mysql/postgres) o referencia (para sqlite) de la base de datos.
db_name = ""
# Usuario y contraseña (para mysql/postgres).
db_user = ""
db_pass = ""
# Servidor (para mysql/postgres).
db_host = "localhost"
# Puerto, normalmente 3306 (para mysql) ó 5432 (para postgres).
db_port = 0
# Número máximo de conexiones habilitadas.
max_pool_size = 5

[dev]
# Los archivos estáticos requeridos por la aplicación se integran de manera
# predeterminada en el binario ejecutable. Sin embargo, durante el desarrollo
# puede resultar útil servir estos archivos desde su propio directorio para
# evitar recompilar cada vez que se modifican. En este caso bastaría con
# indicar la ruta completa al directorio raiz del proyecto.
pagetop_project_dir = ""

[log]
# Traza de ejecución: "Error", "Warn", "Info", "Debug" o "Trace".
# Por ejemplo: "Error,actix_server::builder=Info,tracing_actix_web=Debug".
tracing = "Info"
# En terminal ("Stdout") o archivos "Daily", "Hourly", "Minutely" o "Endless".
rolling = "Stdout"
# Directorio para los archivos de traza (si rolling != "Stdout").
path = "log"
# Prefijo para los archivos de traza (si rolling != "Stdout").
prefix = "tracing.log"
# Presentación de las trazas: "Full", "Compact", "Pretty" o "Json".
format = "Full"

[server]
# Configuración del servidor web.
bind_address = "localhost"
bind_port = 8088
# Duración de la cookie de sesión (en segundos), es decir, el tiempo desde que
# se crea la sesión hasta que caduca la cookie. El valor 0 indica "hasta que se
# cierre el navegador". Por defecto es una semana.
session_lifetime = 604800
